@import "./base/reset";
@import "./abstracts/mixins";
@import "./abstracts/variables";
@import "../fonts/fonts";

.selected-work{
  padding-bottom: 30px;
  border-bottom: 1px solid $second-shade-black;

  & h2{
    margin-top: 30px;
    font-size: 60px;

    @media (min-width: $bp-md) {
      font-size: 130px;
    }

    @media (min-width: $bp-lg) {
      font-size: 200px;
      margin-top: 70px;
    }
  }

  @media (min-width: $bp-lg){
    padding-bottom: 100px;
  }
}
.selected-work__trinity{
  @media (min-width: $bp-lg){
    grid-column: 1/2;
    grid-row: 1/2;
  }
}

.selected-work__content{
  margin-top: 50px;
  margin-bottom: 40px;
  padding: 0 20px;
  @include grid(0 , 0, 20px);

  @media (min-width: $bp-md){
    @include grid(0 , 0, 30px);
    padding: 0 30px;
  }
  @media (min-width: $bp-lg){
    @include grid(3, 2, 40px);
    row-gap: 70px;
    margin-top: 50px;
    margin-bottom: 70px;
    padding: 0 70px;
  }

  & img{
    width: 100%;
    height: 418px;
    object-fit: cover;

    @media (min-width: $bp-md){
      height: 920px;
    }
    @media (min-width: $bp-lg){
      height:570px;
    }
  }
}
.selected-work__links{
  margin-bottom: 20px;
  position: relative;
  height: 200px;

  @media (min-width: $bp-md){
    margin-bottom: 40px;
  }
  @media (min-width: $bp-lg){
    height: auto;
  }

  & h4{
    color: $black-color;
    font-family: 'Gilroy-Bold',sans-serif;
    font-size: 35px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-transform: uppercase;
    margin-bottom: 35px;

    @media (min-width: $bp-md){
      font-size: 40px;
    }
  }

  & a{
    color: $second-shade-black;
    font-family: 'Gilroy-Medium',sans-serif;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;

    padding: 15px 30px;
    border-radius: 50px;
    background: $white-color;
    margin-right: 30px;
  }
  & .button{
    position: absolute;
    right: 0;
    bottom: 0;
  }
}
.selected-work__all-work{
  display: block;
  padding: 15px 60px;
  width: 100%;
  text-align: center;
  border-radius: 50px;
  background: $white-color;

  color: $second-shade-black;
  font-family: 'Gilroy-Medium',sans-serif;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;

  @media (min-width: $bp-md){
    width: 187px;
    margin: 0 auto;
  }
}
